# Enum Options.Separator

java.lang.Object
java.lang.Enum<Options.Separator>
ml.options.Options.Separator

All Implemented Interfaces:
  `Serializable, Comparable<Options.Separator>, java.lang.constant.Constable`

Enclosing class:
  `Options`

public static enum Options.Separator extends Enum<Options.Separator>
An enum encapsulating the possible separators between value options and their actual values.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLANK`
Separate option and value by blank space
`COLON`
Separate option and value by ":"
`EQUALS`
Separate option and value by "="

## Method Summary

Modifier and Type
Method
Description
`static Options.Separator`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Options.Separator[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COLON

public static final Options.Separator COLON
Separate option and value by ":"

### EQUALS

public static final Options.Separator EQUALS
Separate option and value by "="

### BLANK

public static final Options.Separator BLANK
Separate option and value by blank space

## Method Details

### values

public static Options.Separator[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Options.Separator valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null